Summary:        Plugin for pytest that automatically reruns flaky tests
Name:           python-flaky
Version:        3.7.0
Release:        6%{?dist}
License:        ASL 2.0
URL:            https://github.com/box/flaky
Source0:        %{pypi_source flaky}
# https://github.com/box/flaky/pull/181
Patch3000:      remove-nose-dependency.patch

BuildRequires:  python3-devel, python3-pytest

BuildArch:      noarch

%description
Flaky is a plugin for pytest that automatically reruns flaky
tests. Ideally, tests reliably pass or fail, but sometimes test fixtures must
rely on components that aren't 100% reliable. With flaky, instead of removing
those tests or marking them to @skip, they can be automatically retried.

%package -n     python3-flaky
Summary:        %{summary}

%description -n python3-flaky
Flaky is a plugin for pytest that automatically reruns flaky
tests. Ideally, tests reliably pass or fail, but sometimes test fixtures must
rely on components that aren't 100% reliable. With flaky, instead of removing
those tests or marking them to @skip, they can be automatically retried.



%prep
%autosetup -p1 -n flaky-%{version}

sed -i -e 's/import mock/from unittest import mock/' \
       -e 's/from mock/from unittest.mock/' \
       test/test_*/test_*.py


%generate_buildrequires
%pyproject_buildrequires -r



%build
%pyproject_wheel



%install
%pyproject_install
%pyproject_save_files flaky



%check
%pytest -v -k 'example and not options' --doctest-modules test/test_pytest/
%pytest -v -k 'example and not options' test/test_pytest/
%pytest -v -p no:flaky test/test_pytest/test_flaky_pytest_plugin.py
%pytest -v --force-flaky --max-runs 2 test/test_pytest/test_pytest_options_example.py



%files -n python3-flaky -f %{pyproject_files}
%doc README.rst



%changelog
* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.7.0-6
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.7.0-5
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.7.0-4
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.7.0-3
- Rebuilt for OpenCloudOS Stream 23

* Mon Feb 20 2023 Zhao Zhen <jeremiazhao@tencent.com> - 3.7.0-2
- fixed some comments

* Mon Feb 20 2023 Zhao Zhen <jeremiazhao@tencent.com> - 3.7.0-1
- Initial